commit:     7fd1e90884b5d5c2b326654c39dab1958ac1f70d
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Mon Dec 17 07:45:03 2018 +0000
Commit:     Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
CommitDate: Mon Dec 17 11:25:42 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7fd1e908

app-admin/mongo-tools: bump to 3.6.9

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/10651
Signed-off-by: Alexys Jacob <ultrabug <AT> gentoo.org>

 app-admin/mongo-tools/Manifest                 |  1 +
 app-admin/mongo-tools/mongo-tools-3.6.9.ebuild | 64 ++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/app-admin/mongo-tools/Manifest b/app-admin/mongo-tools/Manifest
index 6491b331801..3105cbeafe0 100644
--- a/app-admin/mongo-tools/Manifest
+++ b/app-admin/mongo-tools/Manifest
@@ -1,4 +1,5 @@
 DIST mongo-tools-3.4.16.tar.gz 4697191 BLAKE2B 
2e9a0e7dc8016d3e7d7c7f8d0cf80a97d3d199603c0b8b791df5a0d79d418ffaa232eee694047a7ca11fa7623023b4123becd437cfe3dec11e26cd525720bcad
 SHA512 
b40c6dee75d860de1da73faf79f5f68c098ce7c80681486c66fff04a937474dcede91c7be907a8e36033b3898f7499e8f53271944c0df3360756c27361efb6f5
 DIST mongo-tools-3.6.8.tar.gz 4723878 BLAKE2B 
a1693024d60f69d25c268eaaa30a478b1e4c0042c5fb7a3fd6252ed00aef2fee3fba94516fe825165a1a57887ed38e4fbce488c48ddd4f45349f0b7a1b244020
 SHA512 
359e8ce2d847d005d48ff12bc2e8af73213d81cd1521d2b5b5ac94792468218248bebbe808e1bd8fd49234eab8480608f294c1b63f317aed58f456b84ef17dcf
+DIST mongo-tools-3.6.9.tar.gz 4723117 BLAKE2B 
2cc88b9e8424abe082d68a8f7afa02bf2b21d027cabe04298fafbd065346350d57f6a48ece1a849e779cac6da315aa9d5469c5f63ca5aae6be7e8f73fae3fe4b
 SHA512 
def8e2bb68898c540dfa9fbe742696d463c099e7d70fc2f0e114301d321e3983ef0b07588301340b0a3ffdf2280febc3fa37e77d2520f147e723d2ce147c7261
 DIST mongo-tools-4.0.3.tar.gz 10874727 BLAKE2B 
3e5d07b8ae797d0876b68a3018806e91a30758415aaa236423648a77f5e0d475848060516ee0da91a8448813a12a685410b93bf219b8180beb91f448e329a532
 SHA512 
cbe74b3fdebd0d4f6be6e3acf7f55f5f1a551b0ad1a23d82782643d2a9eb9ea4b7e0133985485b8c5a88c1fea26595e3ed9c759f1f63b578b6472d850154d67b
 DIST mongo-tools-4.0.4.tar.gz 10878921 BLAKE2B 
3960838f68333bf033be9b72191e221b449bde8157ecb6d2f595d84c862fadd9597a53be88e5b0ad691cb6163cf90294348145ecce4c796c88bf84a4d7d8ab86
 SHA512 
d7900dbbd1e1e63d5518494c85559a7eab34f53ffa38880628f3dda0a71ee1211f67cf7dfaac66498b0359eca32abb9c89410e5cc56415a1594acf38ebfa226b

diff --git a/app-admin/mongo-tools/mongo-tools-3.6.9.ebuild 
b/app-admin/mongo-tools/mongo-tools-3.6.9.ebuild
new file mode 100644
index 00000000000..5cf7cbaadac
--- /dev/null
+++ b/app-admin/mongo-tools/mongo-tools-3.6.9.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PV=${PV/_rc/-rc}
+MY_P=${PN}-r${MY_PV}
+
+DESCRIPTION="A high-performance, open source, schema-free document-oriented 
database"
+HOMEPAGE="https://www.mongodb.com";
+SRC_URI="https://github.com/mongodb/mongo-tools/archive/r${MY_PV}.tar.gz -> 
mongo-tools-${MY_PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="sasl ssl"
+
+RDEPEND="!<dev-db/mongodb-3.0.0"
+DEPEND="${RDEPEND}
+       dev-lang/go:=
+       net-libs/libpcap
+       sasl? ( dev-libs/cyrus-sasl )
+       ssl? ( dev-libs/openssl:0= )"
+
+# Do not complain about CFLAGS etc since go projects do not use them.
+QA_FLAGS_IGNORED='.*'
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+       default
+
+       # 1) ensure we use bash wrt #582906
+       # 2) do not substitute version because it uses git
+       sed -e 's@/bin/sh@/bin/bash@g' \
+               -e '/^sed/,+3d' \
+               -e '/^stty/d' \
+               -e '/^mv/d' \
+               -i build.sh || die
+
+       # build pie to avoid text relocations wrt #582854
+       # skip on ppc64 wrt #610984
+       if ! use ppc64; then
+               sed -i 's/\(go build\)/\1 -buildmode=pie/g' build.sh || die
+       fi
+}
+
+src_compile() {
+       local myconf=()
+
+       if use sasl; then
+               myconf+=(sasl)
+       fi
+
+       if use ssl; then
+               myconf+=(ssl)
+       fi
+
+       ./build.sh "${myconf[@]}" || die "build failed"
+}
+
+src_install() {
+       dobin bin/*
+}

Reply via email to